Package org.jfree.layouting.namespace

## Class DefaultNamespaceDefinition

- java.lang.Object
- - org.jfree.layouting.namespace.DefaultNamespaceDefinition

- All Implemented Interfaces:
    `NamespaceDefinition`

      public class DefaultNamespaceDefinition
      extends java.lang.Object
      implements NamespaceDefinition

  A default implementation of the NamespaceDefinition interface. This implementation assumes that all elements use the same style and class attributes.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultNamespaceDefinition​(java.lang.String uri, org.pentaho.reporting.libraries.resourceloader.ResourceKey defaultStyleSheet, java.lang.String classAttribute, java.lang.String styleAttribute, java.lang.String preferredPrefix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getClassAttribute​(java.lang.String element)` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getDefaultStyleSheetLocation​()` |
    `java.lang.String` | `getPreferredPrefix​()` |
    `java.lang.String[]` | `getStyleAttribute​(java.lang.String element)` |
    `java.lang.String` | `getURI​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNamespaceDefinition

          public DefaultNamespaceDefinition​(java.lang.String uri,
                                            org.pentaho.reporting.libraries.resourceloader.ResourceKey defaultStyleSheet,
                                            java.lang.String classAttribute,
                                            java.lang.String styleAttribute,
                                            java.lang.String preferredPrefix)

  - ### Method Detail

    - #### getURI

          public java.lang.String getURI​()

      Specified by:
        `getURI` in interface `NamespaceDefinition`

    - #### getClassAttribute

          public java.lang.String[] getClassAttribute​(java.lang.String element)

      Specified by:
        `getClassAttribute` in interface `NamespaceDefinition`

    - #### getStyleAttribute

          public java.lang.String[] getStyleAttribute​(java.lang.String element)

      Specified by:
        `getStyleAttribute` in interface `NamespaceDefinition`

    - #### getDefaultStyleSheetLocation

          public org.pentaho.reporting.libraries.resourceloader.ResourceKey getDefaultStyleSheetLocation​()

      Specified by:
        `getDefaultStyleSheetLocation` in interface `NamespaceDefinition`

    - #### getPreferredPrefix

          public java.lang.String getPreferredPrefix​()

      Specified by:
        `getPreferredPrefix` in interface `NamespaceDefinition`